export const fetchRestApi = async (route, restApiUrl, request) => {
    const url = `${restApiUrl}${route.buildUrl(request.pathParams, request.queryParams)}`;
    const response = await fetch(url, {
        method: route.method,
        headers: request.headers,
        body: request.body ? JSON.stringify(request.body) : null,
    });
    if (!response.ok && response.status !== 404)
        throw `Request ${route.method} ${url} failed`;
    const text = (await response.text()).trim();
    return response.ok && response.status !== 204
        ? JSON.parse(text)
        : null;
};
//# sourceMappingURL=fetchRestApi.js.map